Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageLocation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageLocation

Enclosing class:
  TdApi

public static final class TdApi.InputMessageLocation extends TdApi.InputMessageContent
A message with a location.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`heading`
For live locations, a direction in which the location moves, in degrees; 1-360.
`int`
`livePeriod`
Period for which the location can be updated, in seconds; must be between 60 and 86400 for a live location and 0 otherwise.
`TdApi.Location`
`location`
Location to be sent.
`int`
`proximityAlertRadius`
For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000).

## Constructor Summary

Constructors
Constructor
Description
`InputMessageLocation()`
A message with a location.
`InputMessageLocation(TdApi.Location location, int livePeriod, int heading, int proximityAlertRadius)`
A message with a location.
`InputMessageLocation(DataInput input)`
A message with a location.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public TdApi.Location location
Location to be sent.

### livePeriod

public int livePeriod
Period for which the location can be updated, in seconds; must be between 60 and 86400 for a live location and 0 otherwise.

### heading

public int heading
For live locations, a direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.

### proximityAlertRadius

public int proximityAlertRadius
For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled. Can't be enabled in channels and Saved Messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageLocation

public InputMessageLocation()
A message with a location.

### InputMessageLocation

public InputMessageLocation(TdApi.Location location, int livePeriod, int heading, int proximityAlertRadius)
A message with a location.

Parameters:
  `location` - Location Location to be sent.
  `livePeriod` - int Period for which the location can be updated, in seconds; must be between 60 and 86400 for a live location and 0 otherwise.
  `heading` - int For live locations, a direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.
  `proximityAlertRadius` - int For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled. Can't be enabled in channels and Saved Messages.

### InputMessageLocation

public InputMessageLocation(DataInput input) throws IOException
A message with a location.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`